/*
        Theme Name: Birgit-Houscht-2023
        Description: Theme for Birgit Houscht Coaching
        Author: SAY Media Consulting
        Author URI: https://www.say-consulting.de
        Template: twentytwentythree
        Version: 1.0
        Tags:
*/

@font-face {
    font-family: 'Lora';
    src: url('assets/fonts/Lora/Lora-VariableFont_wght.ttf') format("truetype-variations");
    font-weight: 1 999;
}
@font-face {
    font-family: 'Nunito';
    src: url('assets/fonts/Nunito/Nunito-VariableFont_wght.ttf') format("truetype-variations");
    font-weight: 1 999;
}

:root{
    --box-shadow-value: 2px 2px 5px #5555;
    --head-ff: 'Lora,serif';
    --main-ff: 'Nunito,sans-serif';
    --smc-wrapper-size: 1400px;
    --h1-size: 2em ;
    --h2-size: 2em ;
    --h3-size: 1.5em ;
    --primary-color: #008D97;
    --secondary-color: #05AE98;
    --tertiary-color: #DDDDDD;
}

html {
    scroll-behavior: smooth;
    overflow-x: hidden !important;
}
body{
    hyphens: auto;
}
.display-none{
    display: none;
}
.overflow-hidden{
    overflow: hidden;
}
p{
    font-family: Nunito;
}
h1, h2, h3, h4{
    font-family: Lora;
}
h1{
    font-weight: 500;
    max-width: fit-content !important;
}
.coolsvg-link, .kontakt-content .coolsvg-link{
    display: contents;
}
.cover-ueberschrift-logo{
    position: relative;
    width: fit-content;
    margin: 0 auto;
}
.cover-ueberschrift-logo h2{
    font-size: 2.5em;
    margin: 0;
    padding-top: .2em;
    border-top: solid 3px #008D97;
}
header{
    margin-top: 0 !important;
}
.wp-site-blocks{
    padding-top: 0;
    padding-bottom: 0;
}
.main-content{
    margin-top: 0;
}
.schema-faq-section{
    position: relative;
    margin: 1.5em 0;
    width: fit-content;
}
.schema-faq-question{
    color: var(--primary-color);
}
.schema-faq-question:before{
    position: absolute;
    top: -5px;
    width: 40px;
    height: 40px;
    cursor: pointer;
    content: "";
    background-image: url(https://www.birgit-houscht-coaching.de/wp-content/uploads/2023/03/cropped-Birgit-Houscht-Favicon.png);
    background-size: 40px 40px;
    left: 0;
}
.schema-faq-section{
    cursor: pointer;
    padding-left: 3em;
}
.schema-faq-answer:not(.block-editor-rich-text__editable) {
    display: none;
}
.faq_active .schema-faq-question:after{
    transform: rotate(90deg);
}
.schema-faq-question:after{
    content: "❮";
    margin-left: .8em;
    display: inline-block;
    transform: rotate(270deg);
    transition: all .5s ease;
}
.has-image-background{
    position: relative;
}
.has-image-background:after{
    content: "";
    background-image: linear-gradient(to bottom right, #008D97, #05AE98);
    position: absolute;
    width: 105%;
    height: 105%;
    left: 1em;
    z-index: -1;
    top: 1em;
}
.has-image-background-sanguinum{
    position: relative;
}
.has-image-background-sanguinum:after{
    content: "";
    background-image: linear-gradient(to bottom right, #86B743, #006A42);
    position: absolute;
    width: 105%;
    height: 105%;
    left: 1em;
    z-index: -1;
    top: 1em;
}
.has-box-shadow{
    box-shadow: 2px 2px 5px #666;
}
.has-text-glow{
    text-shadow: 2px 2px 2px #fff;
}
.back-to-top{
    width: 50px;
    height: 50px;
    position: fixed;
    right: 2em;
    bottom: 1.5em;
    z-index: 11111111111;
    border: solid #008D97 2px;
    padding: 0.5em;
    margin: 0.5em;
    border-radius: 100px;
    filter: drop-shadow(0px 0px 5px #fff);
}
.back-to-top svg{
    fill: #008D97;
}
.center-list{
    display: flex;
    text-align: left;
    justify-content: center;
}

/*----------------------------------------------------------------Contact-Form*/

.houscht-kontaktformular{
    margin: 0;
}
.wpcf7-form input, .wpcf7-form textarea{
    padding: 1em;
    border: none;
    box-shadow: 1px 1px 5px rgba(255 255 255 / 10%);
    width: 80%;
}
.wpcf7-form .datenschutz input{
    width: auto;
}
.wpcf7-form .datenschutz{
    text-align: justify;
    width: 77%;
    font-size: .8em;
}
.wpcf7-submit {
    background-color: var(--primary-color);
    color: white;
}
.wpcf7-form input, .wpcf7-form textarea, .wpcf7-form .datenschutz{
    box-sizing: border-box;
    font-size: 1em;
}

/*------------------------------------------------------------------Pre-Header*/

.pre-header{
    background-color: #e7f5f6;
}
.pre-header a{
    text-decoration: none;
}
.pre-header a:hover{
    text-decoration: none;
}
.pre-header svg{
    width: 25px;
    height: 25px;
    fill: #008D97;
}
.pre-header .wp-block-column:nth-child(3) .wp-block-columns{
    text-align: right;
    margin-block-start: 0.5em;
}

/*-------------------------------------------------------------Main-Navigation*/

.main-navigation{
    background-color: white;
    width: 100%;
    min-height: 50px;
    padding: 1em;
}
.main-navigation li{
    font-size: 1.5em;
    font-weight: 500;
    color: var(--primary-color);
    text-decoration: none;
}
.main-navigation ul{
    gap: 3.5em;
}
.sub-navigation ul{
    gap: 0em;
}
.sub-navigation li:not(:last-child){
    border-bottom: solid 1px var(--secondary-color);
}
.main-navigation a:hover{
    text-decoration: none;
}
header{
    top: 0;
    position: sticky;
    z-index: 111111111;
    border-bottom: 1px solid lightgrey;
}
.houscht-logo-nav{
    transition: all .5s ease;
    opacity: 0;
}
.houscht-logo-nav:not(.has-opacity-0){
    animation: fade-in .5s forwards;
}
@keyframes fade-in{
    100%{
        opacity: 1;
    }
}
nav .current-menu-item a:not(.wp-block-navigation__submenu-container a){
    position: relative;
}
nav .current-menu-item a:not(.wp-block-navigation__submenu-container a):after{
    content: '';
    border-bottom: solid 2px var(--primary-color);
    width: 100%;
    position: absolute;
    bottom: 0;
    left: 0;
}

/*----------------------------------------------------------------------Footer*/

.houscht-footer a{
    text-decoration: none;
    font-weight: 500;
}
.houscht-footer a:hover{
    text-decoration: none;
}
.footer-logo-fix,
.footer-logo-fix img{
    width: 250px !important;
}

/*------------------------------------------------------------------Startseite*/

.start-content .wp-block-cover h1{
    line-height: 1.5em;
}
.start-content-koerper-psyche .wp-block-cover{
    height: 25vh;
}
.start-content-koerper-psyche .wp-block-column:first-child{
    display: flex;
}
.start-content-koerper-psyche a{
    display: flex;
    text-decoration: none;
}
.start-content-koerper-psyche .wp-block-cover__inner-container p{
    background-color: rgba(0, 141, 151, 0.8);
    font-weight: 600;
    text-decoration: none;
    width: fit-content;
    margin: 0 auto;
}
.start-content-koerper-psyche .wp-block-cover__inner-container div a{
    text-decoration: none;
}
.start-content-praxisschwerpunkte{
    hyphens: auto;
}
.start-content-praxisschwerpunkte .wp-block-columns .wp-block-column .wp-block-cover .wp-block-cover__inner-container{
    position: unset;
}
.start-content-praxisschwerpunkte .wp-block-cover__inner-container .wp-block-group{
    width: 100%;
    height: 100%;
}
.start-content-praxisschwerpunkte .praxisschwerpunkte-cover-title{
    background-color: rgba(0, 141, 151, 0.8);
}
.start-content-praxisschwerpunkte .wp-block-cover__inner-container p{
    margin: 0 auto;
    padding: 0.5em;
    font-weight: 600;
    cursor: default;
}
.start-content-praxisschwerpunkte .wp-block-cover__inner-container a{
    padding: .5em;
    background-color: white;
    text-decoration: none;
}

/*---------------------------------------------------------------------Koerper*/

.koerper-content-epi ul{
    width: fit-content;
}
.koerper-content-epi hr{
    width: 50%;
}

/*---------------------------------------------------------------------Kontakt*/

.kontakt-content .houscht-kontaktformular input{
    font-family: Nunito,sans-serif;
    box-shadow: var(--box-shadow-value);
    border-radius: 5px;
}
.kontakt-content textarea{
    box-shadow: var(--box-shadow-value);
    border-radius: 5px;
}
.kontakt-content svg{
    width: 25px;
    height: 25px;
    fill: #008D97;
    float: right;
}

.anfahrt-text{
    width: 50%;
    text-align: justify;
    margin-left: 2em;
    font-size: medium;
}


@media (max-width: 1199px){
    .main_navi{
        display: none;
    }
    .main_navi .wp-block-navigation__responsive-container-open{
        display: block;
    }
    .mobile-columns-reverse{
        flex-direction: column-reverse;
    }
    .desktop-only{
        display: none;
    }
    html{
        word-break: break-word;
        overflow-x: hidden;
        width: 100%;
    }
    p{
        text-align: left;
    }
    .padding-bottom{
        padding-bottom: 2em !important;
    }
    h1{
        font-size: 2.5em;
    }
    h2{
        font-size: 1.8em;
    }
    .cover-ueberschrift-logo h2{
        border-top: none;
        text-shadow: 2px 2px 1px #fff;
    }
    h3, h4{
        font-size: 1.5em;
    }
    .cover-ueberschrift-logo h1{
        font-size: 2.5em;
        padding-bottom: .2em;
    }
    .start-content-koerper-psyche a{
        word-break: keep-all;
    }
    .start-content-praxisschwerpunkte span{
        background-color: #000 !important;
    }
    .start-content-praxisschwerpunkte .wp-block-cover .wp-block-cover__background.has-background-dim.has-background-dim-20{
        opacity: .6;
    }
    .start-content-praxisschwerpunkte .wp-block-cover__inner-container a{
        display: flex;
        margin-top: .5em;
        justify-content: center;
    }
    .start-content-praxisschwerpunkte .wp-block-cover__inner-container p{
        width: 90%;
    }
    .start-content-koerper-psyche .wp-block-column{
        display: flex;
        justify-content: center;
    }
    .start-content-koerper-psyche .wp-block-cover{
        /*        width: 90vw;*/
    }
    .start-content-koerper-psyche .wp-block-cover__inner-container p{
        padding-left: 2em;
        padding-right: 2em;
        padding-top: .5em;
        padding-bottom: .5em;
    }
    .meine-philosophie p, .meine-philosophie h2, .meine-philosophie h3{
        text-align: left;
    }
    .houscht-footer figure{
        align-items: center;
        margin: 0 auto;
    }
    .houscht-footer nav ul{
        justify-content: center;
    }
    .houscht-footer .houscht-footer-navi p{
        text-align: center;
    }
    .custom-logo{
        max-width: 80% !important;
    }
    .back-to-top svg{
        margin-top: .4em;
    }
    .back-to-top .coolsvg{
        margin: 0 auto;
    }
    .back-to-top{
        right: 1em;
    }
    .houscht-footer nav, .houscht-footer figure{
        padding: 0 !important;
    }
    figure{
        max-width: 80%;
    }
    figure.alignright{
        float: none !important;
    }
    form input:not(input[type="checkbox"]), form textarea{
        width: 100% !important;
    }
    form .datenschutz{
        width: 100% !important;
    }
    .anfahrt-text{
        width: 100%;
        margin: 0;
    }
    .navigation-mobile-favicon{
        max-width: 40px;
        aspect-ratio: 1 / 1;
    }
    .main-navigation .wp-container-17{
        display: flex;
        justify-content: space-between;
    }
    .wp-block-cover.alignfull{
        min-height: 40vh !important;
    }
    .sub-navigation li:not(:last-child){
        padding-bottom: .5em;
    }
    .sub-navigation{
        gap: .5em;
    }
    .sub-navigation a:not(.wp-block-navigation__submenu-container a){
        margin-top: 1em;
        color: var(--primary-color) !important;
    }
    .has-modal-open .admin-bar .is-menu-open .wp-block-navigation__responsive-dialog{
        margin-top: 0;
    }
    .wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content{
        padding-top: 0;
    }
    .no-cookie-logo{
        position: fixed;
        bottom: 0;
        left: 0;
        z-index: 1000;
        margin-left: 1em !important;
        margin-bottom: 1em !important;
        max-width: 80px;
    }
}
@media (min-width: 1200px){
    .main_navi li:nth-child(4):not(.scrolled){
        display: none;
    }
    h1{
        font-size: 2em;
    }
    h2{
        font-size: 1.8em;
    }
    h3, h4{
        font-size: 1.5em;
    }
    .mobile-only{
        display: none;
    }
    .padding-left{
        padding-left: 2em !important;
    }
    h1{
        margin: 0 auto;
        margin-right: 2em;
        margin-bottom: 3em;
    }
    .start-content-koerper-psyche .wp-block-cover{
        width:25vw;
    }
    .cover-ueberschrift-logo h1{
        font-size: 3.5em;
        padding-bottom: .2em;
    }
    .start-content-koerper-psyche a{
        width: 25vw;
    }
    .praxisschwerpunkte-cover-hover{
        margin: 0;
        transition: all .5s ease;
        position: absolute;
        width: 100%;
        height: 100%;
        top: 0;
        left: 0;
        opacity: 0;
    }
    .praxisschwerpunkte-cover-hover p{
        box-sizing: border-box;
        margin: 0 !important;
        width: 100% !important;
        height: 100%;
        padding: 1em !important;
    }
    .praxisschwerpunkte-cover-hover:hover{
        opacity: 1;
        background-color: rgba(0, 141, 151, 0.8);
    }
    .praxisschwerpunkte-cover-hover:hover~.start-content-praxisschwerpunkte .praxisschwerpunkte-cover-title{
        opacity: 0;
    }
    .start-content-praxisschwerpunkte .wp-block-cover:hover .praxisschwerpunkte-cover-title{
        transition: all .5s ease;
        opacity: 0;
    }
    .start-content-praxisschwerpunkte .wp-block-cover__inner-container a{
        position: absolute;
        right: 1em;
        bottom: 1em;
    }
    .start-content-praxisschwerpunkte .wp-block-cover__inner-container p{
        width: 70%;
    }
    .start-content-koerper-psyche .wp-block-column:first-child{
        justify-content: right;
    }
    .start-content-koerper-psyche .wp-block-cover__inner-container p{
        padding-left: 2em;
        padding-right: 2em;
        padding-top: 1em;
        padding-bottom: 1em;
    }
    .pre-header{
        height: 200px;
    }
    .custom-logo{
        max-width: 100%;
    }
    .cover-ueberschrift-logo h1{
        margin: 0;
    }
    /*    .houscht-footer figure{
            width: 100%;
            justify-content: space-evenly;
        }*/
    /*    .houscht-footer figure img{
            width: 60% !important;
        }*/
    .no-cookie-logo{
        position: fixed;
        bottom: 0;
        left: 0;
        z-index: 1000;
        margin-left: 1em !important;
        margin-bottom: 2em !important;
        max-width: 110px !important;
    }
    header .main-navigation .sub-navigation{
        white-space: nowrap !important;
    }
}
@media (min-width: 1600px){
    h2{
        font-size: 2.5em !important;
    }
    .cover-ueberschrift-logo{
        translate: 25em -8em;
    }
    .start-content-koerper-psyche .wp-block-cover__inner-container p{
        padding-left: 3em;
        padding-right: 3em;
        padding-top: 1em;
        padding-bottom: 1em;
    }
    .houscht-footer .wp-block-gallery figure{
        align-items: center;
    }
}
@media (min-width: 2100px){
    .back-to-top{
        width: 70px;
        height: 70px;
    }
    .back-to-top .coolsvg{
        margin-top: .5em;
    }
    /*    .houscht-footer figure img{
            width: 50% !important;
        }*/
}